Skip to main content
GET
/
identity
/
identities
List Identities
curl --request GET \
  --url https://api.paxos.com/v2/identity/identities \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.paxos.com/v2/identity/identities"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.paxos.com/v2/identity/identities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "next_page_cursor": "<string>",
  "items": [
    {
      "id": "f190b163-208f-4d73-8deb-4fb8b24add00",
      "summary_status": "PENDING"
    }
  ]
}
OAuth Scope
identity:read_identity

Authorizations

Authorization
string
header
required

Paxos APIs use OAuth 2 with the client credentials grant flow.

Token URLs:

Learn more in the API credentials guide →

Query Parameters

summary_status
enum<string>

Summary Status of the Identity.

Available options:
PENDING,
ERROR,
APPROVED,
DENIED,
DISABLED
created_at.lt
string<date-time>

Include timestamps strictly less than lt. RFC3339 format, like 2006-01-02T15:04:05Z.

created_at.lte
string<date-time>

Include timestamps less than or equal to lte. RFC3339 format, like 2006-01-02T15:04:05Z.

created_at.eq
string<date-time>

Include timestamps exactly equal to eq. RFC3339 format, like 2006-01-02T15:04:05Z.

created_at.gte
string<date-time>

Include timestamps greater than or equal to gte. RFC3339 format, like 2006-01-02T15:04:05Z.

created_at.gt
string<date-time>

Include timestamps strictly greater than gt. RFC3339 format, like 2006-01-02T15:04:05Z.

updated_at.lt
string<date-time>

Include timestamps strictly less than lt. RFC3339 format, like 2006-01-02T15:04:05Z.

updated_at.lte
string<date-time>

Include timestamps less than or equal to lte. RFC3339 format, like 2006-01-02T15:04:05Z.

updated_at.eq
string<date-time>

Include timestamps exactly equal to eq. RFC3339 format, like 2006-01-02T15:04:05Z.

updated_at.gte
string<date-time>

Include timestamps greater than or equal to gte. RFC3339 format, like 2006-01-02T15:04:05Z.

updated_at.gt
string<date-time>

Include timestamps strictly greater than gt. RFC3339 format, like 2006-01-02T15:04:05Z.

limit
integer<int32>

Number of results to return.

order
enum<string>

Return items in ascending (ASC) or descending (DESC) order. Defaults to DESC.

Available options:
DESC,
ASC
order_by
enum<string>

The specific method by which the returned results will be ordered.

Available options:
CREATED_AT
page_cursor
string

Cursor token for fetching the next page.

identity_type
enum<string>

Optionally filter by Identity type

Available options:
PERSON,
INSTITUTION
control_types
enum<string>[]

Optionally filter by active identity control types. Only returns identities with active controls matching any of these types.

Available options:
SELL_ONLY,
CLOSED,
FROZEN,
DORMANT
control_reason_codes
enum<string>[]

Optionally filter by active identity control reason codes. Only returns identities with active controls matching any of these reason codes.

  • OTHER: Miscellaneous reason not captured by existing categories.
  • END_USER_REQUEST: Control applied at the end user's request.
  • INACTIVITY: Control applied due to prolonged inactivity in accordance with dormancy or lifecycle management policies.
  • COMPLIANCE_KYC: Control applied due to unmet KYC requirements, including missing, expired, failed, or unresponsiveness to refresh obligations.
  • COMPLIANCE_EDD: Control applied due to Enhanced Due Diligence (EDD) requirements, including failure to complete EDD reviews, provide requested information, or satisfy heightened risk assessment criteria.
  • COMPLIANCE_SCREENING: Control applied as a result of sanctions, politically exposed person (PEP), or adverse media screening hits.
  • COMPLIANCE_INVESTIGATION: Control applied while an identity is under active compliance, risk, or regulatory investigation, including reviews triggered by monitoring alerts or external inquiries.
  • COMPLIANCE_INCOMPLETE: Control applied because the onboarding process was not successfully completed, including failure to respond to requests for information or provide required documentation.
  • RISK_FRAUD: Control applied due to suspected or confirmed fraud, abuse, or security risk, including account compromise, transaction fraud, or policy violations.
  • LEGAL_ORDER: Control applied to comply with a legal, regulatory, or law-enforcement directive, including court orders, asset preservation requests, or regulatory instructions.
  • ADMINISTRATIVE: Control applied for operational or platform-initiated reasons not attributable to the end user or compliance failure, such as system remediation or account restructuring.
Available options:
OTHER,
END_USER_REQUEST,
INACTIVITY,
COMPLIANCE_KYC,
COMPLIANCE_EDD,
COMPLIANCE_SCREENING,
COMPLIANCE_INVESTIGATION,
COMPLIANCE_INCOMPLETE,
RISK_FRAUD,
LEGAL_ORDER,
ADMINISTRATIVE

Response

200 - application/json

A successful response.

next_page_cursor
string

Cursor token required for fetching the next page.

items
object[]

The result list of identities.